- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherResults Class Reference

The OtherResults Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherResults:

[legend]
List of all members.

## Public Member Functions
| OtherResults ()
| Default constructor.
| ~OtherResults ()
| Class destructor.
bool | IsEqual (OtherResults *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | numberOfOtherResults
| the number of other results
OtherResult ** | other
| the array of other results

## Detailed Description

The OtherResults Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 10/09/2009

Since:
  OS 1.0

Remarks:
  A data structure class that corresponds to an xml element in the OSrL schema.

Definition at line 212 of file OSResult.h.

## Constructor & Destructor Documentation

OtherResults::OtherResults | ( |  | ) |

Default constructor.

Definition at line 99 of file OSResult.cpp.

OtherResults::~OtherResults | ( |  | ) |

Class destructor.

Definition at line 108 of file OSResult.cpp.

References numberOfOtherResults, and other.

## Member Function Documentation

bool OtherResults::IsEqual | ( | OtherResults * | that | ) |

A function to check for the equality of two objects.

Definition at line 5489 of file OSResult.cpp.

bool OtherResults::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7354 of file OSResult.cpp.

References other, and OtherResult::setRandom().

## Member Data Documentation

int OtherResults::numberOfOtherResults

the number of other results

Definition at line 217 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherGeneralResults(), OSResult::setNumberOfOtherJobResults(), OSResult::setNumberOfOtherServiceResults(), OSResult::setNumberOfOtherSystemResults(), OSrLWriter::writeOSrL(), and ~OtherResults().

OtherResult** OtherResults::other

the array of other results

Definition at line 220 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherGeneralResults(), OSResult::setNumberOfOtherJobResults(), OSResult::setNumberOfOtherServiceResults(), OSResult::setNumberOfOtherSystemResults(), setRandom(), OSrLWriter::writeOSrL(), and ~OtherResults().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp